# $Id: srm.spec 802 2007-06-14 21:16:15Z rpmbuild $
# repo: RE
# restrictions:

Summary: Secure remove destroys file contents before unlinking
Name: srm
Version: 1.2.8
Release: %RErelease 4
Epoch: 0
License: MIT
Group: Applications/File
URL: http://srm.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/srm/%{name}-%{version}.tar.gz
Patch0: srm-1.2.8_ext2fs.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%if "%errata" >= "170"
BuildRequires: e2fsprogs-devel
%endif

%description
This is srm, a secure replacement for rm(1). Unlike the standard rm,
it overwrites the data in the target files before unlinking them. This
prevents command-line recovery of the data by examining the raw block
device. It may also help frustrate physical examination of the disk,
although it's unlikely that completely protects against this type of
recovery.

%prep
%setup -q
# Fedora 7 /usr/include/linux/ext2_fs.h is not good.
%if "%errata" >= "170"
%patch0 -p 1 -b .ext2fs
%endif
%{__chmod} 0644 COPYING Changes Credits README
%configure

%build
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes Credits README
%{_bindir}/*
%doc %{_mandir}/*/*

%changelog
* Sat Jun  2 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.8-4
- Added ext2fs/ext2_fs.h patch to build on Fedora 7.

* Sun Dec 11 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.8-3
- Refactored use of macros.
- Rebuilt in new build system.

* Thu Sep 29 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.8-2
- Fixed spelling error in Description field.

* Mon Sep 05 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.2.8-1
- Rebuilt.

